Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80382 - Comments in grub.conf cause post-install to hang
Summary: Comments in grub.conf cause post-install to hang
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-25 15:55 UTC by Matthew Saltzman
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:19 UTC


Attachments (Terms of Use)

Description Matthew Saltzman 2002-12-25 15:55:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
With the below grub.conf, rpm -i of kernel RPM hangs at post-install.  Deleting
the line beginning "#password" fixes the problem.


Version-Release number of selected component (if applicable):
Note: The system where I discovered this is RHL 7.2, but I would guess it
happens with all the current errata kernels.


How reproducible:
Always

Steps to Reproduce:
1. Install attached grub.conf
2. rpm -i latest kernel rpm
3. observe hang
    

Actual Results:  rpm hangs.  When killed, grub.conf is unmodified.

Expected Results:  rpm finishes and grub.conf is updated.

Additional info:
The grub.conf file in question:

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /, eg.
#          root (hd0,0)
#          kernel /boot/vmlinuz-version ro root=/dev/sda1
#          initrd /boot/initrd-version.img
#boot=/dev/sda
default=0
timeout=10
splashimage=(hd0,0)/boot/grub/splash.xpm.gz
#password --md5 ....
title Red Hat Linux (2.4.18-18.7.x)
        root (hd0,0)
        kernel /boot/vmlinuz-2.4.18-18.7.x ro root=/dev/sda1
        initrd /boot/initrd-2.4.18-18.7.x.img
title Red Hat Linux (2.4.18-17.7.x)
        root (hd0,0)
        kernel /boot/vmlinuz-2.4.18-17.7.x ro root=/dev/sda1
        initrd /boot/initrd-2.4.18-17.7.x.img
title Red Hat Linux (2.4.9-34)
        root (hd0,0)
        kernel /boot/vmlinuz-2.4.9-34 ro root=/dev/sda1
        initrd /boot/initrd-2.4.9-34.img
title Red Hat Linux (2.4.9-31)
        root (hd0,0)
        kernel /boot/vmlinuz-2.4.9-31 ro root=/dev/sda1
        initrd /boot/initrd-2.4.9-31.img
title Red Hat Linux (2.4.9-21)
        root (hd0,0)
        kernel /boot/vmlinuz-2.4.9-21 ro root=/dev/sda1
        initrd /boot/initrd-2.4.9-21.img
title Red Hat Linux (2.4.9-13)
        root (hd0,0)
        kernel /boot/vmlinuz-2.4.9-13 ro root=/dev/sda1
        initrd /boot/initrd-2.4.9-13.img
title Red Hat Linux (2.4.7-10)
        root (hd0,0)
        kernel /boot/vmlinuz-2.4.7-10 ro root=/dev/sda1
        initrd /boot/initrd-2.4.7-10.img

Comment 1 Bugzilla owner 2004-09-30 15:40:19 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.